Subject: Re: [bitcoin-dev] ossification and misaligned incentive concerns

From: [email-masked]
Date: Tue, 07 Nov 2023 09:58:44 +0100

> Imagine a system that tries to maintain a constant level of difficulty and reacts flexibly to changes in difficulty, by modulating the block reward level accordingly (using negative feedback).
 
This is exactly what I did, when experimenting with LN-based mining. CPU power was too low to get a full block reward out of that. But getting single millisatoshis from a channel partner? This is possible, and I started designing my model from that assumption. Also, because channel partner usually don't want to explicitly pay, I created it in a form of "LN transaction fee discount". Which means, a CPU miner just received cheaper LN transactions through the channel partner, instead of getting paid explicitly. Which also caused better network connectivity, because then you have an upper bound for your mining (it won't be cheaper LN transaction than for free). Which means, if you mine so many shares, that you have free LN transactions, then you have to sell them, or open another channel, and then instead of having "one channel with free transactions", you have many.
 
> The free market is more important than finite supply.
 
I would say, the backward compatibility is more important than increased (no matter if still constant or not) supply. Which means, you can "increase" the supply, just by introducing millisatoshis on-chain. Or add any "tail supply", or anything like that, what was discussed in the past. The only thing that matters is: can you make it compatible with the current system? Hard-fork will be instantly rejected, without any discussion. Soft-fork will be stopped at best, exactly in the same way, how other soft-fork proposals were stopped, when achieving consensus was hard, and the topic was controversial. So, what is left? Of course no-forks and second layers. This is the only way, that is wide-open today, and which requires no support from the community. And that's why Ordinals are so strong: because they are a no-fork. Better or worse designed, it doesn't matter, but still a no-fork. Which means, they exist in the wild, no matter if you like them or not.